某些主机或VPS上WordPress更新,或者升级插件或者主题时会提示一个输入FTP信息的页面,然而有时候你明明输入是正确的信息,它还是提示不正确或者再再次的提示输入FTP信息。

WordPress升级/安装主题插件提示权限不足 输入FTP解决办法-老D

解决方案:

方法1:在你的wp-config.php中插入:

1
2
3
define("FS_METHOD", "direct");
define("FS_CHMOD_DIR", 0777);
define("FS_CHMOD_FILE", 0777);

(为了更加安全建议升级完成删除以上三句)

这样类似phpCloud的服务器就OK了,如果这方法搞不定,就需要设置一下文件属性。

方法2:如果安装的是lnmp一键安装包,那可以使用。授权组来解决,以便Apache/Nginx可以有权限覆盖掉旧文件。

登录SSH输入以下命令:

1
chown -R www /home/wwwroot/laod.cn(修改成网站域名目录)

其中/root/laod/wordpress是你的WP安装目录。